=encoding utf-8

=head1 NAME

ngx_mail_smtp_module - Module ngx_mail_smtp_module




=head1 Directives

=head2 smtp_auth


B<syntax:> smtp_auth I<I<C<method>> ...>


B<default:> I<login plain>


B<context:> I<mail>


B<context:> I<server>





Sets permitted methods of
L<SASL authentication|http://tools.ietf.org/html/rfc2554>
for SMTP clients.
Supported methods are:

=over



=item C<login>




L<AUTH LOGIN|http://tools.ietf.org/html/draft-murchison-sasl-login-00>



=item C<plain>




L<AUTH PLAIN|http://tools.ietf.org/html/rfc4616>



=item C<cram-md5>




L<AUTH CRAM-MD5|http://tools.ietf.org/html/rfc2195>.
In order for this method to work, the password must be stored unencrypted.



=item C<none>




Authentication is not required.




=back









=head2 smtp_capabilities


B<syntax:> smtp_capabilities I<I<C<extension>> ...>



B<context:> I<mail>


B<context:> I<server>





Sets the SMTP protocol extensions list
that is passed to the client in response to the
C<EHLO> command.
Authentication methods specified in the L</smtp_auth> directive
are automatically added to this list.





It makes sense to specify the extensions
supported by the MTA
to which the clients are proxied (if these extensions are related to commands
used after the authentication, when nginx transparently proxies the client
connection to the backend).





The current list of standardized extensions is published at
L<www.iana.org|http://www.iana.org/assignments/mail-parameters>.







